---
title: Flujo de Pago - CIMPRA 535 ( ARG )
slug: flujo-de-pago-cimpra-535-arg
description: Learn how to read and pay through a QR code using the Interoperable API with this comprehensive document. It covers the "Leer QR" and "Pagar QR" endpoints, providing step-by-step instructions and code examples in various programming languages. Discover ho
icon: {"faIcon":"fa-solid fa-arrows-turn-to-dots"}
createdAt: 2023-04-24T11:41:55.000Z
---

Este flujo es exclusivo para Cuenta/Billetera Habientes

```mermaid
sequenceDiagram
    participant Aplicacion
    participant Servicio
    participant Interoperable
    Aplicacion->>Servicio: Lee un QR
    Servicio->>Interoperable: Envía el QR al endpoint "resolve"
    Interoperable-->>Aplicacion: Devuelve la Orden
    Servicio->>Interoperable: Llamada a Patch Plans
    Interoperable-->>Aplicacion: Devuelve los Planes Calculados
    Aplicacion->>Servicio: Elije Medio de Pago
    Servicio->>Interoperable: Crea el Token de la Tarjeta a utilizar
    Servicio->>Interoperable: Ejecuta el Pago
    Interoperable-->>Aplicacion: Devuelve el resultado del Pago
```



:::hint{type="warning"}
Esta especificación está diseñada sólo para Argentina en base al documento CIMPRA 535. Para utilizar la API genérica, completa y múlti-país dirigirse a "Flujo de Pago"
:::





:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/qr/resolve?loc=ARG",
  "name": "Leer/Resolver QR SIN Cuenta/Billetera-Habiente",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "loc",
        "kind": "optional",
        "type": "string",
        "description": "Localización de la Respuesta. Opciones: ARG",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": ""
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "qr_raw",
        "type": "string",
        "description": "QR Raw Data"
      },
      {
        "name": "fields",
        "kind": "optional",
        "type": "Object",
        "description": "",
        "children": [
          {
            "name": "posReference",
            "kind": "optional",
            "type": "string",
            "description": "Referencia del POS"
          },
          {
            "name": "walletId",
            "kind": "optional",
            "type": "string",
            "description": "Identificador de Billetera (Wallet ID)."
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "P8twQ6nthiwhgZULJIkPz",
        "code": "{\n\t\"additional_info\": {},\n\t\"amount\": {\n\t\t\"currency\": \"TEST\",\n\t\t\"value\": 999\n\t},\n\t\"merchant\": {\n\t\t\"account\": {\n\t\t\t\"cvu\": \"XXXXXXXXXXXXXXXXX\"\n\t\t},\n\t\t\"category\": \"SMALL\",\n\t\t\"cuit\": \"20121231234\",\n\t\t\"field_of_activity\": \"7399\",\n\t\t\"free_tier\": true,\n\t\t\"image\": \"https://res.mobbex.com/images/icons/def_store.png\",\n\t\t\"iva_exempt\": true,\n\t\t\"mcc\": \"7399\",\n\t\t\"name\": \"Prueba 2\",\n\t\t\"zip\": \"C1000AAA\"\n\t},\n\t\"order\": {\n\t\t\"id\": \"88XI8ZA3FDRUL2P1RI88A7\",\n\t\t\"items\": {\n\t\t\t\"currency_id\": \"TEST\",\n\t\t\t\"description\": \"Compra en Prueba 2\",\n\t\t\t\"quantity\": 1,\n\t\t\t\"title\": \"Compra en Prueba 2\",\n\t\t\t\"unit_price\": 999\n\t\t},\n\t\t\"total_amount\": 999\n\t},\n\t\"payment_methods_allowed\": [\n\t\t{\n\t\t\t\"id\": \"CARD\"\n\t\t}\n\t],\n\t\"qr_id\": \"88XI8ZA3FDRUL2P1RI88A7\"\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "Q79lt9FOY8ee1CRMl5gYv",
        "code": "{\n  \"code\": \"500\",\n  \"message\": \"FAT_ERR\"\n}",
        "language": "500",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "P8twQ6nthiwhgZULJIkPz"
  },
  "examples": {
    "languages": [
      {
        "id": "I_VvT862u_p_ZEbQrTpdL",
        "language": "curl",
        "code": "curl --location 'https://api.interoperable.ar/qr/resolve' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\"qr_raw\":\"string\"}'",
        "customLabel": ""
      },
      {
        "id": "CQypg5-CrHHusBgicUDGy",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api.interoperable.ar/qr/resolve',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"qr_raw\": \"string\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "alDDQrshxeQerK7miog3n",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"qr_raw\": \"string\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/qr/resolve\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "__abyd137doHCWIS7PAZp",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/qr/resolve\"\n\npayload = json.dumps({\n   \"qr_raw\": \"string\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "F5yDmEFWnDga2boW6AMnT",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/qr/resolve\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"qr_raw\": \"string\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "I_VvT862u_p_ZEbQrTpdL"
  },
  "description": "Este endpoint permite leer el QR",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "leerresolver-qr-sin-cuentabilletera-habiente",
  "legacyHash": "8ocZEnsrems_0AlhxSjMG"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/qr/{order_id}/plans?loc=ARG",
  "name": "Patch Plans",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "order_id",
        "type": "string",
        "children": [],
        "description": "Referencia de la Cuenta con la cual se debe leer el QR"
      }
    ],
    "queryParameters": [
      {
        "name": "loc",
        "kind": "optional",
        "type": "string",
        "description": "Localización de la Respuesta. Opciones: ARG",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": ""
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "P8twQ6nthiwhgZULJIkPz",
        "code": "{\n\t\"additional_info\": {},\n\t\"supported_bins\": [\n\t\t{\n\t\t\t\"brand_id\": \"\",\n\t\t\t\"type\": \"debit\",\n\t\t\t\"original_bins\": [\n\t\t\t\t\"45079900\"\n\t\t\t],\n\t\t\t\"plans\": [\n\t\t\t\t{\n\t\t\t\t\t\"id\": \"bqRTPg~KC\",\n\t\t\t\t\t\"type\": \"ADQUIRENTE\",\n\t\t\t\t\t\"description\": \"Débito\",\n\t\t\t\t\t\"installments\": 1,\n\t\t\t\t\t\"total_amount\": {\n\t\t\t\t\t\t\"value\": 10,\n\t\t\t\t\t\t\"currency\": \"ARS\"\n\t\t\t\t\t},\n\t\t\t\t\t\"installment_amount\": {\n\t\t\t\t\t\t\"value\": 10,\n\t\t\t\t\t\t\"currency\": \"ARS\"\n\t\t\t\t\t},\n\t\t\t\t\t\"financial_info\": {\n\t\t\t\t\t\t\"total_fianancial_cost\": \"0.00\",\n\t\t\t\t\t\t\"nominal_annual_rate\": \"0.00\"\n\t\t\t\t\t},\n\t\t\t\t\t\"requiered_fields\": [\n\t\t\t\t\t\t\"payment_method.card.holder.name\",\n\t\t\t\t\t\t\"payment_method.card.holder.identification_number\"\n\t\t\t\t\t]\n\t\t\t\t}\n\t\t\t]\n\t\t}\n\t],\n\t\"unsupported_bins\": [\n\t\t\"44456098\"\n\t]\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "Q79lt9FOY8ee1CRMl5gYv",
        "code": "{\n  \"result\": false,\n}",
        "language": "500",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "P8twQ6nthiwhgZULJIkPz"
  },
  "examples": {
    "languages": [
      {
        "id": "v1fIkVb6B9Sq3SZ5KG5dM",
        "language": "curl",
        "code": "curl --location --globoff --request PATCH 'https://api.interoperable.ar/qr/{order_id}/plans/{order_id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "qW7c325mzkttCp33C3VjH",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'PATCH',\n   'url': 'https://api.interoperable.ar/qr/{order_id}/plans/{order_id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "BbBHUoWMfovWL1QUAo_l7",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'PATCH',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/qr/{order_id}/plans/{order_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "kZLnnuzsuze4z9pwWgXTs",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/qr/{order_id}/plans/{order_id}\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"PATCH\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "iXNlx0sAQ9PjKjgGFNZIf",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/qr/{order_id}/plans/{order_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Patch.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "v1fIkVb6B9Sq3SZ5KG5dM"
  },
  "description": "",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "patch-plans",
  "legacyHash": "OP4SUv6-hOESjRpQ8I-f1"
}
```
:::



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/payments/tokens?loc=ARG",
  "name": "Crear Token",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": "Token de acceso"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "card",
        "type": "Object",
        "description": "Objeto con los datos del tarjeta-habiente"
      },
      {
        "name": "wallet",
        "kind": "optional",
        "type": "Object",
        "description": "",
        "children": [
          {
            "name": "brand_wallet_id",
            "kind": "optional",
            "type": "string",
            "description": "Wallet ID asignado a la Billetera/Banco"
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "pqKuXxL-6rLvaRinl45TK",
        "code": "{\n\t\"created_at\": \"2024-03-04T10:44:49Z\",\n\t\"expiry_at\": \"2024-03-04T10:59:49Z\",\n\t\"token\": \"T:P0WG66KQ9WRPQQ9EETIECJ\"\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "oizZdBf9CXo-43XssxuNZ",
        "code": "{\n      \"message\": \"Ain't no cake like that.\"\n    }",
        "language": "404",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "pqKuXxL-6rLvaRinl45TK"
  },
  "examples": {
    "languages": [
      {
        "id": "lBDj53f8mjB-0FhGQGTuy",
        "language": "curl",
        "code": "curl --location 'https://api.interoperable.ar/payments/tokens' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\"card\":\"Object\"}'",
        "customLabel": ""
      },
      {
        "id": "Hr2BSaRMmbeNJntFT9rzm",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api.interoperable.ar/payments/tokens',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"card\": \"Object\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "teAZcUdzxz98OboVqdf9c",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"card\": \"Object\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/payments/tokens\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "3PiepGMCKZHSn4Z-_Jw-L",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/payments/tokens\"\n\npayload = json.dumps({\n   \"card\": \"Object\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "Zu0ZbNIH5k80IVaGaFESb",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/payments/tokens\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"card\": \"Object\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "lBDj53f8mjB-0FhGQGTuy"
  },
  "description": "Pagar Orden via QR",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "crear-token",
  "legacyHash": "oTYC2I0qzCSNg5EuTphud"
}
```
:::

**Ejemplo de Solicitud de Creación de Token**

```json
{
	"card": {
		"holder": {
			"name": "Demo",
			"identification_type": "DNI",
			"identification_number": "12123123"
		},
		"card_data": {
			"number": "4507990000000010",
			"security_code": "200",
			"expiration_month": 12,
			"expiration_year": 2032,
			"entry_mode": "MANUAL"
		}
	}
}
```

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/orders/{order_id}/payments?loc=ARG",
  "name": "Pagar QR",
  "method": "POST",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "order_id",
        "type": "string",
        "children": [],
        "description": "ID de la Orden sobre la que se realizará el pago."
      }
    ],
    "queryParameters": [
      {
        "name": "loc",
        "kind": "optional",
        "type": "string",
        "description": "Localización de la Respuesta. Opciones: ARG",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": "Token de Autorizacio"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "source",
        "kind": "required",
        "type": "string",
        "description": "Token del medio de pago con el que se efectùa la transacción.",
        "children": []
      },
      {
        "name": "installment",
        "kind": "required",
        "type": "string",
        "description": "Identificador del plan de cuotas con el que se procesa la transaccio",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "pqKuXxL-6rLvaRinl45TK",
        "code": "{\n\t\"payment_id\": \"TAV44OX7UQHYHLLEOANULX\",\n\t\"order_id\": \"F63KHXZT3ALIB1LT0I4NTO\",\n\t\"status\": \"APPROVED\",\n\t\"status_code\": \"approved\",\n\t\"amount\": {\n\t\t\"value\": 10,\n\t\t\"currency\": \"ARS\"\n\t},\n\t\"authorized_amount\": {\n\t\t\"value\": 10,\n\t\t\"currency\": \"ARS\"\n\t},\n\t\"plan\": {\n\t\t\"id\": \"jK55pyDcz\",\n\t\t\"type\": \"ADQUIRENTE\",\n\t\t\"description\": \"1 Cuota\",\n\t\t\"installments\": 1,\n\t\t\"total_amount\": {\n\t\t\t\"value\": 10,\n\t\t\t\"currency\": \"ARS\"\n\t\t},\n\t\t\"installment_amount\": {\n\t\t\t\"value\": 10,\n\t\t\t\"currency\": \"ARS\"\n\t\t},\n\t\t\"financial_info\": {\n\t\t\t\"total_fianancial_cost\": \"0.00\",\n\t\t\t\"nominal_annual_rate\": \"0.00\"\n\t\t}\n\t},\n\t\"card\": {\n\t\t\"original_bin\": \"53236299\",\n\t\t\"original_last4\": \"1008\",\n\t\t\"type\": \"card\",\n\t\t\"brand_id\": \"Mastercard\",\n\t\t\"issuer_id\": \"\",\n\t\t\"holder\": {\n\t\t\t\"name\": \"Demo\",\n\t\t\t\"identification_type\": \"DNI\",\n\t\t\t\"identification_number\": \"12123123\"\n\t\t}\n\t},\n\t\"wallet\": {\n\t\t\"brand_wallet_id\": \"20121231234\",\n\t\t\"name\": \"prueba wallet\",\n\t\t\"provider\": \"string\",\n\t\t\"user\": {\n\t\t\t\"device_id\": \"12123123\",\n\t\t\t\"email\": \"user@example.com\",\n\t\t\t\"identification_number\": \"12123123\",\n\t\t\t\"identification_type\": \"DNI\",\n\t\t\t\"phone\": \"12123123\"\n\t\t}\n\t},\n\t\"authorization_code\": \"594461\",\n\t\"refunds\": [],\n\t\"created_at\": \"2024-02-26T00:28:09.716Z\",\n\t\"updated_at\": \"2024-02-26T00:28:10.726Z\",\n\t\"additional_info\": {}\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "oizZdBf9CXo-43XssxuNZ",
        "code": "{\n      \"message\": \"Ain't no cake like that.\"\n    }",
        "language": "404",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "pqKuXxL-6rLvaRinl45TK"
  },
  "examples": {
    "languages": [
      {
        "id": "u8F_JYK4W0ijO3xG97uI-",
        "language": "curl",
        "code": "curl --location --globoff 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\"source\":\"string\",\"installment\":\"string\"}'",
        "customLabel": ""
      },
      {
        "id": "0-kamhPYb0eisKn_m00zF",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"source\": \"string\",\n      \"installment\": \"string\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "c004ZeyG4OVw-20VdhEcx",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"source\": \"string\",\n   \"installment\": \"string\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "2h8G3qNyFjCXGQUeVqIjK",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\"\n\npayload = json.dumps({\n   \"source\": \"string\",\n   \"installment\": \"string\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "XxnYXl-GiX2oUmmOZV6jH",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"source\": \"string\",\n   \"installment\": \"string\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "u8F_JYK4W0ijO3xG97uI-"
  },
  "description": "Pagar Orden via QR",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "pagar-qr",
  "legacyHash": "qrmT4sqkTq-0mtTNm6wW6"
}
```
:::

**Ejemplo de Solicitud de Pago**

```json
{
    "plan": {
        "id": "bqRTPg~KC",
        "type": "ADQUIRENTE",
        "description": "Débito",
        "installments": 1,
        "total_amount": {
            "value": 10,
            "currency": "ARS"
        },
        "installment_amount": {
            "value": 10,
            "currency": "ARS"
        }
    },
    "payment_method": {
        "card": {
            "acceptor_token": "T:8F2X2TWOUFKOZTAX0VP0C5"
        },
        "wallet": {
            "name": "string",
            "provider": "string",
            "brand_wallet_id": "string",
            "user": {
                "email": "user@example.com",
                "phone": "string",
                "device_id": "string",
                "identification_type": "DNI",
                "identification_number": "string"
            }
        }
    },
    "additional_info": {}
}
```

Respuesta con Localización Argentina

```json
{
    "payment_id": "VOBHX6H0O3BXS7KSY8Z1FK",
    "order_id": "9ZTD998UVUHRUQFQJVSFB3",
    "status": "APPROVED",
    "status_code": "APPROVED",
    "amount": {
        "value": 10,
        "currency": "ARS"
    },
    "authorized_amount": {
        "value": 10,
        "currency": "ARS"
    },
    "plan": {
        "id": "bqRTPg~KC",
        "type": "ADQUIRENTE",
        "description": "Débito",
        "installments": 1,
        "total_amount": {
            "value": 10,
            "currency": "ARS"
        },
        "installment_amount": {
            "value": 10,
            "currency": "ARS"
        },
        "financial_info": {
            "total_fianancial_cost": "00.00",
            "nominal_annual_rate": "00.00"
        }
    },
    "card": {
        "original_bin": "45079900",
        "original_last4": "0010",
        "type": "DEBITO",
        "brand_id": "",
        "issuer_id": "",
        "holder": {
            "name": "Demo",
            "identification_type": "DNI",
            "identification_number": "12123123"
        }
    },
    "wallet": {
        "name": "string",
        "provider": "string",
        "brand_wallet_id": "string",
        "user": {
            "email": "user@example.com",
            "phone": "string",
            "device_id": "string",
            "identification_type": "DNI",
            "identification_number": "string"
        }
    },
    "authorization_code": "11111111",
    "refunds": [],
    "created_at": "2023-10-26T17:26:03.953Z",
    "updated_at": "2023-10-26T17:26:03.953Z",
    "additional_info": {}
}
```

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.interoperable.ar/orders/{order_id}/payments?loc=ARG",
  "name": "Devolver Operación",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "order_id",
        "type": "string",
        "children": [],
        "description": "ID de la Orden sobre la que se realizará el pago."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "optional",
        "name": "Authorization",
        "type": "string",
        "children": [],
        "description": ""
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "pqKuXxL-6rLvaRinl45TK",
        "code": "{\n\"transaction_id\": \"1CGEMKERVARWBKE49EBRE9\"\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "oizZdBf9CXo-43XssxuNZ",
        "code": "",
        "language": "403",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "oizZdBf9CXo-43XssxuNZ"
  },
  "examples": {
    "languages": [
      {
        "id": "j_HjgR5lZJkPj-9tIEafM",
        "language": "curl",
        "code": "curl --location --globoff --request DELETE 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      },
      {
        "id": "RvWgk5g7gTfr_cQUhJePW",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'DELETE',\n   'url': 'https://api.interoperable.ar/orders/{order_id}/payments/{order_id}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "y3HP8v1n9p24GnBHasvIe",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "OTn3UB732UT9f7RmtoyP-",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\"\n\npayload = {}\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "5UGFm4MbpUDmgHlVO6iTK",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.interoperable.ar/orders/{order_id}/payments/{order_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "j_HjgR5lZJkPj-9tIEafM"
  },
  "description": "Devolución de la Orden",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "devolver-operacin",
  "legacyHash": "mLd87I9OnVXdDKwl_EMAw"
}
```
:::

